### Method

# Ide TreeNode set_reset_on_collapse

#### Declaration

    void
    ide_tree_node_set_reset_on_collapse (
      IdeTreeNode* self,
      gboolean reset_on_collapse
    )

#### Description

If `TRUE`, then children will be removed when the row is collapsed.

Available since: | 3.32

Sets property | `Ide.TreeNode:reset-on-collapse`

#### Parameters

`reset_on_collapse` | `gboolean`
| If the children should be removed on collapse.